MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026755Community[OCCT] OCCT:Modeling Datapublic2015-10-07 13:292016-04-20 15:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026755: Use of reference to destroyed temporary object in Adaptor3d_SurfaceOfRevolution
DescriptionThe problem has been reported and analyzed in OCE issue 559, see https://github.com/tpaviot/oce/issues/559#issuecomment-146139931 [^]

In Adaptor3d_SurfaceOfRevolution::GetType(), the following code uses local reference variable pointing to field of temporary object which gets destroyed immediately:

    const gp_Ax1& Axe = (myBasisCurve->Line()).Position();
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0046557)
git (administrator)
2015-10-07 13:35

Branch CR26755 has been created by abv.

SHA-1: d550c521cdec99f252372f42c7f96a671e5c9121


Detailed log of new commits:

Author: abv
Date: Wed Oct 7 13:34:41 2015 +0300

    0026755: Use of reference to destroyed temporary object in Adaptor3d_SurfaceOfRevolution
    
    Code corrected to make a copy of temporary object for its further use
(0046558)
abv (manager)
2015-10-07 13:38

Fix pushed to CR26755, please review
(0046563)
msv (developer)
2015-10-07 15:08

Reviewed.
(0046591)
mkv (tester)
2015-10-08 12:56

Dear BugMaster,
Branch CR26755 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d550c521cdec99f252372f42c7f96a671e5c9121

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92382125 / 92366399 [+0.02%]
Total CPU difference: 19692.759999999835 / 19714.639999999818 [-0.11%]
products component :
Total MEMORY difference: 26333558 / 26369733 [-0.14%]
Total CPU difference: 7472.599999999996 / 7378.749999999995 [+1.27%]

Testing on Windows:
occt component :
Total MEMORY difference: 58080389 / 58089039 [-0.01%]
Total CPU difference: 18471.423205798783 / 18228.68564979895 [+1.33%]
products component :
Total MEMORY difference: 17178479 / 17183716 [-0.03%]
Total CPU difference: 5938.380866299992 / 5689.09126829997 [+4.38%]

There are no differences in images found by testdiff.
(0046592)
mkv (tester)
2015-10-08 12:56

Dear BugMaster,
Branch CR26755 is TESTED.
(0047106)
git (administrator)
2015-10-16 16:58

Branch CR26755 has been deleted by kgv.

SHA-1: d550c521cdec99f252372f42c7f96a671e5c9121

- Related Changesets
occt: master 53dda4e9
Timestamp: 2015-10-07 10:34:41
Author: abv
Committer: bugmaster
Details ] Diff ]
0026755: Use of reference to destroyed temporary object in Adaptor3d_SurfaceOfRevolution

Code corrected to make a copy of temporary object for its further use
mod - src/Adaptor3d/Adaptor3d_SurfaceOfRevolution.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-07 13:29 abv New Issue
2015-10-07 13:29 abv Assigned To => msv
2015-10-07 13:35 git Note Added: 0046557
2015-10-07 13:38 abv Note Added: 0046558
2015-10-07 13:38 abv Status new => resolved
2015-10-07 13:38 abv Steps to Reproduce Updated View Revisions
2015-10-07 15:08 msv Note Added: 0046563
2015-10-07 15:08 msv Assigned To msv => bugmaster
2015-10-07 15:08 msv Status resolved => reviewed
2015-10-07 15:10 mkv Assigned To bugmaster => mkv
2015-10-07 15:13 mkv Test case number => Not needed
2015-10-08 12:56 mkv Note Added: 0046591
2015-10-08 12:56 mkv Note Added: 0046592
2015-10-08 12:56 mkv Assigned To mkv => bugmaster
2015-10-08 12:56 mkv Status reviewed => tested
2015-10-09 15:22 bugmaster Changeset attached => occt master 53dda4e9
2015-10-09 15:22 bugmaster Status tested => verified
2015-10-09 15:22 bugmaster Resolution open => fixed
2015-10-16 16:58 git Note Added: 0047106
2016-04-20 15:44 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker